## class OSGFX_EXPORT osgFX::Validator

> This class is used internally by osgFX::Effect to choose between different techniques dynamically.

## Inheritance:

### Public Methods

Validator()
Validator(Effect* effect)
Validator(const Validator &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
META_StateAttribute(osgFX, Validator, VALIDATOR)
void apply(osg::State &state) const
inline void disable()
inline int compare(const osg::StateAttribute &sa) const

### Public Members

enum

### Protected Methods

virtual ~Validator()
Validator& operator=(const Validator &)

## Documentation

> This class is used internally by osgFX::Effect to choose between different techniques dynamically. The apply() method will call each technique's validate() method and store the results in a buffered array. The Effect class will then choose the first technique that could be validated in all active rendering contexts.

`enum`

`VALIDATOR`

`Validator()`

`Validator(Effect* effect)`

`Validator(const Validator &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`META_StateAttribute(osgFX, Validator, VALIDATOR)`

`void apply(osg::State &state) const`

`inline void disable()`

`virtual ~Validator()`

`Validator& operator=(const Validator &)`

`inline int compare(const osg::StateAttribute &sa) const`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.